## kcoreaddons 5.78.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.78.0") # handled by release scripts
project(KCoreAddons VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.78.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMSetupQtPluginMacroNames)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(REQUIRED_QT_VERSION 5.14.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        "K_PLUGIN_FACTORY"
    JSON_ARG2
        "K_PLUGIN_FACTORY_WITH_JSON"
        "K_PLUGIN_CLASS_WITH_JSON"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

find_package(Threads)

# Configure checks for kdirwatch
find_package(FAM)

set_package_properties(FAM PROPERTIES
     PURPOSE "Provides file alteration notification facilities using a separate service. FAM provides additional support for NFS.")

set(HAVE_FAM ${FAM_FOUND})

option(ENABLE_INOTIFY "Try to use inotify for directory monitoring" ON)
if(ENABLE_INOTIFY)
    # Find libinotify
    find_package(Inotify)
    set_package_properties(Inotify PROPERTIES
        PURPOSE "Filesystem alteration notifications using inotify")
    set(HAVE_SYS_INOTIFY_H ${Inotify_FOUND})
else()
    set(HAVE_SYS_INOTIFY_H FALSE)
endif()

option(ENABLE_PROCSTAT "Try to use libprocstat for process information" ON)
if (ENABLE_PROCSTAT)
    # Find libprocstat
    find_package(Procstat)
    set_package_properties(Procstat PROPERTIES
        PURPOSE "Process information using libprocstat")
    set(HAVE_PROCSTAT ${PROCSTAT_FOUND})
else()
    set(HAVE_PROCSTAT FALSE)
endif()

# Generate io/config-kdirwatch.h
configure_file(src/lib/io/config-kdirwatch.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/lib/io/config-kdirwatch.h)

include(ECMPoQmTools)

ecm_setup_version(PROJECT VARIABLE_PREFIX KCOREADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
                        SOVERSION 5)


if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

kde_enable_exceptions()


add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
add_definitions(-DQT_NO_FOREACH)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CoreAddons")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5CoreAddons_QCH
        FILE KF5CoreAddonsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5CoreAddonsQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5CoreAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
               "${CMAKE_CURRENT_SOURCE_DIR}/KF5CoreAddonsMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5CoreAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5CoreAddonsTargets.cmake NAMESPACE KF5:: )
install(EXPORT KF5CoreAddonsToolingTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5CoreAddonsToolingTargets.cmake NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/desktoptojson/CMakeLists.txt ===
include(ECMMarkNonGuiExecutable)

ecm_qt_declare_logging_category(desktoptojson_LOG_SRCS
    HEADER desktoptojson_debug.h
    # reusing the one also used with desktopfileparser.cpp in library case
    IDENTIFIER DESKTOPPARSER
    CATEGORY_NAME kf.coreaddons.desktoptojson
    # enable debug messages of desktopfileparser.cpp by default, other than in library case
    DEFAULT_SEVERITY Debug
    DESCRIPTION "desktoptojson (KCoreAddons)"
    EXPORT KCOREADDONS
)

add_executable(desktoptojson
    main.cpp
    desktoptojson.cpp
    ../lib/plugin/desktopfileparser.cpp
    ${desktoptojson_LOG_SRCS}
)
if(NOT CMAKE_TOOLCHAIN_FILE)
    add_executable(KF5::desktoptojson ALIAS desktoptojson)
endif()

set_property(TARGET desktoptojson PROPERTY CXX_STANDARD 14)

# Mark it as non-gui so we won't create an app bundle on Mac OS X
ecm_mark_nongui_executable(desktoptojson)

target_link_libraries(desktoptojson Qt5::Core)
target_compile_definitions(desktoptojson PRIVATE BUILDING_DESKTOPTOJSON_TOOL=1)

install(TARGETS desktoptojson EXPORT KF5CoreAddonsToolingTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/lib/CMakeLists.txt ===
# Configure checks for the caching subdir
include(CheckIncludeFiles)
check_include_files("sys/types.h;sys/mman.h" HAVE_SYS_MMAN_H)
configure_file(caching/config-caching.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-caching.h)

include(CheckSymbolExists)
check_symbol_exists("getgrouplist" "grp.h" HAVE_GETGROUPLIST)
configure_file(util/config-getgrouplist.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-getgrouplist.h)

set (KDE4_DEFAULT_HOME ".kde${_KDE4_DEFAULT_HOME_POSTFIX}" CACHE STRING "The default KDE home directory" )
configure_file(util/config-kde4home.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kde4home.h)

set (ACCOUNTS_SERVICE_ICON_DIR "/var/lib/AccountsService/icons" CACHE STRING "Accounts Services icon storage directory")
configure_file(util/config-accountsservice.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-accountsservice.h)

ecm_create_qm_loader(kcoreaddons_QM_LOADER kcoreaddons5_qt)

set(kcoreaddons_OPTIONAL_SRCS )
set(kcoreaddons_OPTIONAL_LIBS )

if (FAM_FOUND)
   include_directories(${FAM_INCLUDE_DIR})
   set(kcoreaddons_OPTIONAL_LIBS ${kcoreaddons_OPTIONAL_LIBS} ${FAM_LIBRARIES})
endif ()

if (Inotify_FOUND)
   include_directories(${Inotify_INCLUDE_DIRS})
   set(kcoreaddons_OPTIONAL_LIBS ${kcoreaddons_OPTIONAL_LIBS} ${Inotify_LIBRARIES})
endif ()

if(NOT WIN32)
    set(kcoreaddons_OPTIONAL_SRCS caching/kshareddatacache.cpp)
    set(kcoreaddons_OPTIONAL_LIBS ${kcoreaddons_OPTIONAL_LIBS} ${CMAKE_THREAD_LIBS_INIT})

    set_source_files_properties(caching/kshareddatacache.cpp
        PROPERTIES COMPILE_FLAGS -fexceptions)

else()
    set(kcoreaddons_OPTIONAL_SRCS
        caching/kshareddatacache_win.cpp
    )
endif()

if (WIN32)
    set(kcoreaddons_OPTIONAL_SRCS
        ${kcoreaddons_OPTIONAL_SRCS}
        text/kmacroexpander_win.cpp
        util/klistopenfilesjob_win.cpp
        util/kprocesslist_win.cpp
        util/kshell_win.cpp
        util/kuser_win.cpp
    )
endif ()

if (UNIX)
    set(kcoreaddons_OPTIONAL_SRCS
        ${kcoreaddons_OPTIONAL_SRCS}
        text/kmacroexpander_unix.cpp
        util/klistopenfilesjob_unix.cpp
        util/kuser_unix.cpp
        util/kshell_unix.cpp
    )
    if (HAVE_PROCSTAT)
        set(kcoreaddons_OPTIONAL_SRCS
            ${kcoreaddons_OPTIONAL_SRCS}
            util/kprocesslist_unix_procstat.cpp
        )
    else ()
        set(kcoreaddons_OPTIONAL_SRCS
            ${kcoreaddons_OPTIONAL_SRCS}
            util/kprocesslist_unix.cpp
        )
    endif ()
endif ()

set(libkcoreaddons_SRCS
    kaboutdata.cpp
    kcoreaddons.cpp
    io/kautosavefile.cpp
    io/kdirwatch.cpp
    io/kfilesystemtype.cpp
    io/kmessage.cpp
    io/kprocess.cpp
    io/kbackup.cpp
    io/kurlmimedata.cpp
    io/kfileutils.cpp
    jobs/kcompositejob.cpp
    jobs/kjob.cpp
    jobs/kjobtrackerinterface.cpp
    jobs/kjobuidelegate.cpp
    plugin/kpluginfactory.cpp
    plugin/kpluginloader.cpp
    plugin/kpluginmetadata.cpp
    plugin/desktopfileparser.cpp
    randomness/krandom.cpp
    randomness/krandomsequence.cpp
    text/kmacroexpander.cpp
    text/kstringhandler.cpp
    text/ktexttohtml.cpp
    util/kdelibs4migration.cpp
    util/kdelibs4configmigrator.cpp
    util/kformat.cpp
    util/kformatprivate.cpp
    util/kosrelease.cpp
    util/kprocesslist.cpp
    util/kshell.cpp
    ${kcoreaddons_OPTIONAL_SRCS}
    ${kcoreaddons_QM_LOADER}
)


set(kcoreaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}/../.. # for kcoreaddons_version.h
    ${CMAKE_CURRENT_SOURCE_DIR}/caching/
    ${CMAKE_CURRENT_BINARY_DIR}/io/
    ${CMAKE_CURRENT_SOURCE_DIR}/io/
    ${CMAKE_CURRENT_SOURCE_DIR}/jobs/
    ${CMAKE_CURRENT_SOURCE_DIR}/plugin/
    ${CMAKE_CURRENT_SOURCE_DIR}/randomness/
    ${CMAKE_CURRENT_SOURCE_DIR}/text/
    ${CMAKE_CURRENT_SOURCE_DIR}/util/
)

if (HAVE_PROCSTAT)
    set(kcoreaddons_INCLUDE_DIRS
        ${kcoreaddons_INCLUDE_DIRS}
        ${PROCSTAT_INCLUDE_DIR}
    )
endif()

ecm_qt_export_logging_category(
    IDENTIFIER KDIRWATCH
    CATEGORY_NAME kf.coreaddons.kdirwatch
    OLD_CATEGORY_NAMES kf5.kcoreaddons.kdirwatch
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KDirWatch (KCoreAddons)"
    EXPORT KCOREADDONS
)
ecm_qt_export_logging_category(
    IDENTIFIER KABOUTDATA
    CATEGORY_NAME kf.coreaddons.kaboutdata
    OLD_CATEGORY_NAMES kf5.kcoreaddons.kaboutdata
    DESCRIPTION "KAboutData (KCoreAddons)"
    EXPORT KCOREADDONS
)
ecm_qt_declare_logging_category(libkcoreaddons_SRCS
    HEADER desktopfileparser_debug.h
    IDENTIFIER DESKTOPPARSER
    CATEGORY_NAME kf.coreaddons.desktopparser
    OLD_CATEGORY_NAMES kf5.kcoreaddons.desktopparser
    DEFAULT_SEVERITY Warning
    DESCRIPTION "DesktopParser (KCoreAddons)"
    EXPORT KCOREADDONS
)
ecm_qt_export_logging_category(
    IDENTIFIER MIGRATOR
    CATEGORY_NAME kf.coreaddons.kdelibs4configmigrator
    OLD_CATEGORY_NAMES kf5.kcoreaddons.kdelibs4configmigrator
    DEFAULT_SEVERITY Warning
    DESCRIPTION "Kdelibs4ConfigMigrator (KCoreAddons)"
    EXPORT KCOREADDONS
)

ecm_qt_declare_logging_category(libkcoreaddons_SRCS
    HEADER kcoreaddons_debug.h
    IDENTIFIER KCOREADDONS_DEBUG
    CATEGORY_NAME kf.coreaddons
    OLD_CATEGORY_NAMES org.kde.kcoreaddons
    DESCRIPTION "kcoreaddons (kcoreaddons lib)"
    EXPORT KCOREADDONS
)

add_library(KF5CoreAddons ${libkcoreaddons_SRCS})
add_library(KF5::CoreAddons ALIAS KF5CoreAddons)
ecm_generate_export_header(KF5CoreAddons
    BASE_NAME KCoreAddons
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.0 5.0 5.2 5.65 5.67 5.70 5.72 5.75 5.76 5.78
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5CoreAddons PUBLIC "$<BUILD_INTERFACE:${kcoreaddons_INCLUDE_DIRS}>")

target_link_libraries(KF5CoreAddons
  PUBLIC
    Qt5::Core
  PRIVATE
    ${kcoreaddons_OPTIONAL_LIBS}
)

target_link_libraries(KF5CoreAddons PRIVATE ${CMAKE_THREAD_LIBS_INIT})

if(WIN32)
    target_link_libraries(KF5CoreAddons PRIVATE netapi32 userenv)
endif()

if(HAVE_PROCSTAT)
    target_link_libraries(KF5CoreAddons PRIVATE ${PROCSTAT_LIBRARIES})
endif()

target_include_directories(KF5CoreAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KCoreAddons>" )

target_compile_definitions(KF5CoreAddons INTERFACE "$<INSTALL_INTERFACE:KCOREADDONS_LIB>")

set_target_properties(KF5CoreAddons PROPERTIES VERSION   ${KCOREADDONS_VERSION_STRING}
                                               SOVERSION ${KCOREADDONS_SOVERSION}
                                               EXPORT_NAME CoreAddons
)

ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KAboutData
        KCoreAddons
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES KSharedDataCache
    RELATIVE caching
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KAutoSaveFile
        KDirWatch
        KMessage
        KProcess
        KBackup
        KUrlMimeData
        KFileSystemType
        KFileUtils
    RELATIVE io
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KCompositeJob
        KJob
        KJobTrackerInterface
        KJobUiDelegate
    RELATIVE jobs
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KExportPlugin
        KPluginFactory
        KPluginLoader
        KPluginMetaData
    RELATIVE plugin
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KRandom
        KRandomSequence
    RELATIVE randomness
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KMacroExpander
        KStringHandler
        KTextToHTML
        KTextToHTMLEmoticonsInterface
    RELATIVE text
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KFormat
        KOSRelease
        KUser
        KShell
        KProcessList
        KListOpenFilesJob
        Kdelibs4Migration
        Kdelibs4ConfigMigrator
    RELATIVE util
    REQUIRED_HEADERS KCoreAddons_HEADERS
)

find_package(PythonModuleGeneration)

if (PythonModuleGeneration_FOUND)
  ecm_generate_python_binding(
    TARGET KF5::CoreAddons
    PYTHONNAMESPACE PyKF5
    MODULENAME KCoreAddons
    RULES_FILE "${CMAKE_SOURCE_DIR}/cmake/rules_PyKF5.py"
    SIP_DEPENDS
      QtCore/QtCoremod.sip
    HEADERS
      kaboutdata.h
      kcoreaddons.h
      caching/kshareddatacache.h
      io/kautosavefile.h
      io/kdirwatch.h
      io/kmessage.h
      io/kprocess.h
      io/kbackup.h
      io/kurlmimedata.h
      io/kfilesystemtype.h
      jobs/kcompositejob.h
      jobs/kjob.h
      jobs/kjobtrackerinterface.h
      jobs/kjobuidelegate.h
      plugin/kexportplugin.h
      plugin/kpluginfactory.h
      plugin/kpluginloader.h
      plugin/kpluginmetadata.h
      randomness/krandom.h
      randomness/krandomsequence.h
      text/kmacroexpander.h
      text/kstringhandler.h
      text/ktexttohtml.h
      text/ktexttohtmlemoticonsinterface.h
      util/kformat.h
      util/klistopenfilesjob.h
      util/kosrelease.h
      util/kprocesslist.h
      util/kuser.h
      util/kshell.h
      util/kdelibs4migration.h
      util/kdelibs4configmigrator.h
  )
endif()

install(TARGETS KF5CoreAddons EXPORT KF5CoreAddonsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${KCoreAddons_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KCoreAddons COMPONENT Devel
)

# Includes CMake code to install open-source license texts for KAboutData.
add_subdirectory(licenses)

if(BUILD_QCH)
    ecm_add_qch(
        KF5CoreAddons_QCH
        NAME KCoreAddons
        BASE_NAME KF5CoreAddons
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KCoreAddons_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
            ${kcoreaddons_INCLUDE_DIRS}
        BLANK_MACROS
            KCOREADDONS_EXPORT
            KCOREADDONS_DEPRECATED
            KCOREADDONS_DEPRECATED_EXPORT
            "KCOREADDONS_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KCoreAddons LIB_NAME KF5CoreAddons DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KCoreAddons)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kcoreaddons (5.78.0-4) unstable; urgency=medium

  * Team upload.
  * Reupload source only so it can migrate to testing.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 24 Feb 2021 23:06:16 +0100

kcoreaddons (5.78.0-3) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Remove graphviz from build depends.

  [ Aurélien COUDERC ]
  * Cherry pick upstream fix for occasional Plasma crashes when starting WINE apps.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 24 Feb 2021 13:38:38 +0100

kcoreaddons (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:19 +0900

kcoreaddons (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:41 +0900

kcoreaddons (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:33 +0900

kcoreaddons (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:52 +0900

kcoreaddons (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:14:43 +0200

kcoreaddons (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file and kde5_xml_mimetypes.qm translations to
    libkf5coreaddons-data.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:28 +0200

kcoreaddons (5.70.0-2) unstable; urgency=medium

  * Team upload.
  * Remove the unused 'testsuite' autopkgtest.
  * Remove breaks/replaces for versions older than what is in oldstable.
  * Update symbols file. (Closes: #957401)
  * Remove the unused debian/meta/ stuff.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway
    - drop patches fix-kformattest-plural-forms.patch, and
      kdirwatch-tests-method-specific.patch, no more needed now
  * Remove the unused ${shlibs:Depends} substvar from libkf5coreaddons-data,
    and libkf5coreaddons-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Aug 2020 10:02:33 +0200

=== debian/control ===
Source: kcoreaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.78.0~),
               libfam-dev,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               shared-mime-info (>= 1.3)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kcoreaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons.git
Rules-Requires-Root: no

Package: libkf5coreaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE Frameworks 5 addons to QtCore - data files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the arch independent files for KCoreAddons.

Package: libkf5coreaddons-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev-bin (= ${binary:Version}),
         libkf5coreaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Replaces: libkf5coreaddons-bin-dev (<< 5.41)
Breaks: baloo-kf5-dev (<< 5.54),
        kded5-dev (<< 5.54),
        libkf5auth-dev (<< 5.54),
        libkf5coreaddons-bin-dev (<< 5.41),
        libkf5crash-dev (<< 5.54),
        libkf5guiaddons-dev (<< 5.54),
        libkf5jobwidgets-dev (<< 5.54),
        libkf5notifications-dev (<< 5.54),
        libkf5package-dev (<< 5.54),
        libkf5pty-dev (<< 5.54),
        libkf5purpose-dev (<< 5.54),
        libkf5service-dev (<< 5.54)
Recommends: libkf5coreaddons-doc (= ${source:Version})
Description: KDE Frameworks 5 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files for KCoreAddons.

Package: libkf5coreaddons-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5coreaddons-bin-dev
Breaks: libkf5coreaddons-bin-dev
Description: KDE Frameworks 5 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package is an implementation detail for KCoreAddons.

Package: libkf5coreaddons-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE Frameworks 5 addons to QtCore (documentation)
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5coreaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-data (= ${source:Version}),
         shared-mime-info (>= 1.3),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Frameworks 5 addons to QtCore
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
Breaks: baloo-kf5 (<< 5.54),
        frameworkintegration (<< 5.42),
        kded5 (<< 5.54),
        kdesignerplugin (<< 5.42),
        kgendesignerplugin (<< 5.54),
        kgendesignerplugin-bin (<< 5.54),
        kinit (<< 5.54),
        kio (<< 5.54),
        kpackagelauncherqml (<< 5.54),
        kpackagetool5 (<< 5.54),
        kross (<< 5.54),
        ktexteditor-katepart (<< 5.54),
        libkf5auth5 (<< 5.54),
        libkf5baloo5 (<< 5.54),
        libkf5balooengine5 (<< 5.42),
        libkf5bookmarks5 (<< 5.54),
        libkf5configwidgets5 (<< 5.54),
        libkf5crash5 (<< 5.54),
        libkf5declarative5 (<< 5.42),
        libkf5emoticons-bin (<< 5.54),
        libkf5emoticons5 (<< 5.54),
        libkf5globalaccel-bin (<< 5.54),
        libkf5globalaccelprivate5 (<< 5.54),
        libkf5iconthemes5 (<< 5.54),
        libkf5jobwidgets5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiocore5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.54),
        libkf5kiogui5 (<< 5.54),
        libkf5kiontlm5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5newstuffcore5 (<< 5.54),
        libkf5notifications5 (<< 5.54),
        libkf5notifyconfig5 (<< 5.42),
        libkf5package5 (<< 5.54),
        libkf5parts-plugins (<< 5.54),
        libkf5parts5 (<< 5.54),
        libkf5people5 (<< 5.54),
        libkf5peoplewidgets5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5pty5 (<< 5.54),
        libkf5purpose-bin (<< 5.54),
        libkf5purpose5 (<< 5.54),
        libkf5quickaddons5 (<< 5.54),
        libkf5runner5 (<< 5.54),
        libkf5service-bin (<< 5.54),
        libkf5service5 (<< 5.54),
        libkf5style5 (<< 5.42),
        libkf5su-bin (<< 5.54),
        libkf5su5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5webkit5 (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        libkf5xmlrpcclient5 (<< 5.54),
        libkwalletbackend5-5 (<< 5.42),
        plasma-framework (<< 5.54),
        qml-module-org-kde-activities (<< 5.54),
        qml-module-org-kde-extensionplugin (<< 5.28),
        qml-module-org-kde-kcoreaddons (<< 5.54),
        qml-module-org-kde-kio (<< 5.42),
        qml-module-org-kde-newstuff (<< 5.42),
        qml-module-org-kde-purpose (<< 5.54),
        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
        qml-module-org-kde-runnermodel (<< 5.42)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kcoreaddons 5.80.0

=== debian/changelog ===
kcoreaddons (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:47 +0000

kcoreaddons (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols
  * Skip problematic file in acc test:
    - /usr/include/KF5/KCoreAddons/KFuzzyMatcher

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:20:31 +0000

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               graphviz,
                libfam-dev,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.16~),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-               shared-mime-info (>= 1.3)
+               shared-mime-info (>= 1.3),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
@@ -42,7 +43,7 @@
 Depends: libkf5coreaddons-dev-bin (= ${binary:Version}),
          libkf5coreaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Replaces: libkf5coreaddons-bin-dev (<< 5.41)
 Breaks: baloo-kf5-dev (<< 5.54),
         kded5-dev (<< 5.54),

## kcoreaddons 5.86.0

=== debian/changelog ===
kcoreaddons (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:46:55 +0100

kcoreaddons (5.85.0a-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.
  * Rename tarball due to upstream respin.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:25:40 +0100

kcoreaddons (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:59:04 +0100

kcoreaddons (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:15:55 +0100

kcoreaddons (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:28 +0100

kcoreaddons (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:28:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libfam-dev,
                libqt5sql5-sqlite:native,
